Jump to content


Photo

[BFME1/BFME2/ROTWK] Games Download & Installation Guide


  • Please log in to reply
653 replies to this topic

#481 jarl_eirik

jarl_eirik
  • New Members
  • 1 posts

Posted 05 August 2018 - 06:17 PM

I cant seem to make it work without a cd, even after trying numerous ways of using that link and ekstra link 



#482 ElDavo

ElDavo
  • New Members
  • 1 posts

Posted 06 August 2018 - 09:26 PM

Hi guys, 

 

Followed all the instructions to the letter for BFME2 but when i try to launch the game it comes up with a game crash error stating "unknown field 'NumToSacrifice' in block 'Object'" then goes on for ages talking about error parsing fields and an error parsing INI block.....any pointers as to what to do from here?

 

Thanks



#483 Nedyar

Nedyar
  • New Members
  • 2 posts

Posted 08 August 2018 - 12:51 PM

@Nedyar

i encountered a similar problem and was able to fix it.

i downloaded the 1.03 patch from moddb

i renamed the file patch103.exe

i moved the file to my C:\Program Files (x86)\EA GAMES\The Battle for Middle-earth ™ folder

then reran the full installer provided by OP

 

Thanks mate, it worked perfectly
I downloaded the 103 patch, ran it, and now the 106 downloader works fine


Edited by Nedyar, 08 August 2018 - 12:52 PM.


#484 ThiccolasCage

ThiccolasCage
  • Members
  • 6 posts

Posted 17 September 2018 - 07:31 PM

Where can I find the mini-images after downloading the games? I can't see them with the rest of the games' files.


Edited by ThiccolasCage, 17 September 2018 - 07:54 PM.


#485 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,635 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 17 September 2018 - 09:44 PM

You do not need mini-disks if you update to the latest version of the game.

Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#486 ThiccolasCage

ThiccolasCage
  • Members
  • 6 posts

Posted 17 September 2018 - 11:45 PM

Sadly once I patched them BFME 1 gives me a runtime error, ROTWK simply vanishes after the splash screen, and I couldn't find the game.dat file to replace on BFME 2 lol


Edited by ThiccolasCage, 18 September 2018 - 04:20 AM.


#487 ahmed 12

ahmed 12
  • New Members
  • 1 posts

Posted 18 September 2018 - 12:40 AM

(A problem occurred when trying to transfer the file:\support\sv\l?smig.txt from the media) can anyone help ? I dowloaded the game 3 times and still trying pls any solution 



#488 BVH

BVH
  • New Members
  • 3 posts

Posted 19 September 2018 - 11:23 AM

Hello, I'm trying to get BFME 1 to work but it says I need a CD and I can only see links for that problem in BFME2 and ROTWK. Is there a way to fix it for BFME1?



#489 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,635 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 19 September 2018 - 12:47 PM

Please check you have installed the game correctly, the latest version, 1.06, does not requrire the disk.


Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#490 BVH

BVH
  • New Members
  • 3 posts

Posted 19 September 2018 - 09:34 PM

I fixed it the no CD issue but when I try to launch the game a pop up that says "Exception Access Violation" appears.


Edited by BVH, 19 September 2018 - 10:08 PM.


#491 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,635 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 20 September 2018 - 05:24 AM

Hi, this is a common issue. Please check the options.ini fix at the bottom of the installation instructions post.


Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#492 BVH

BVH
  • New Members
  • 3 posts

Posted 20 September 2018 - 06:14 AM

Thanks so much, I got it working! :)



#493 LordAnomanderRake

LordAnomanderRake
  • New Members
  • 3 posts

Posted 21 September 2018 - 08:13 PM

Hello everyone.

 

I have a quick question on the online front. I have followed the instructions to the letter and everything works perfectly, but for one thing. I can't seem to be able to login in ROTWK, or ROTWK with AoR installed. I have changed my EA ACC Name/Password/Nickname, the game runs offline with no issues, and I've logged out and "forgotten password" from the BMFE2 online (where I login instantly). No other mods installed.

 

Any help would be much appreciated.



#494 LeeLee

LeeLee
  • New Members
  • 4 posts

Posted 21 September 2018 - 08:23 PM

Hello

Do I have to insatall patch 1.06 for ROTWK ? or can I just install patch 1.09  ?  before I go to ROTWK ?


Edited by LeeLee, 21 September 2018 - 08:24 PM.


#495 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,635 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 22 September 2018 - 05:43 AM

RotWK requires BfME2 patch 1.06. You can install 1.09 But it'll need to be disabled for when you play RotWK.

Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#496 LeeLee

LeeLee
  • New Members
  • 4 posts

Posted 22 September 2018 - 07:10 AM

Okay Thank


Edited by LeeLee, 22 September 2018 - 08:35 AM.


#497 LeeLee

LeeLee
  • New Members
  • 4 posts

Posted 22 September 2018 - 09:03 AM

Hello. I have done everything I should do for install BFME 2. but when I click on the game notthing happens. I have put the game2.dat in and have the BFME2 PatchSwitcher. 

So why wont it game work ?

 

Oh Btw. when I used " all in one patch 1.06 installer" for BFME 1. I could not play the game. I had to get all the Pactchs one by one to play it

 

But agian. Really dont know what to do with the BFME 2 



#498 Arturmateus

Arturmateus
  • New Members
  • 3 posts

Posted 30 September 2018 - 11:43 AM

Hello!

Im having a problem launching the rise of witch king version 2.02
I installed it as explained, and placed the patch 2.01 before the 2.02
(I also created the options.ini as instructed)

However, when I launch the game, after 3-4 seconds with the rotwk image in the desktop, an error appears and shuts the game

I've placed a screenshot of the pop up bug so you can see it :)

I am really terrible when it comes to informatic files and such, perhaps you can help me fix this (i feel this is an issue a bit different from the usual that appear here, but i decided to try my luck)

Thanks in advance

 

 

Captura de Ecrã (26).png

Attached Thumbnails

  • Captura de Ecrã (25).png

Edited by Arturmateus, 30 September 2018 - 11:45 AM.


#499 Arturmateus

Arturmateus
  • New Members
  • 3 posts

Posted 30 September 2018 - 12:46 PM

Hello. I have done everything I should do for install BFME 2. but when I click on the game notthing happens. I have put the game2.dat in and have the BFME2 PatchSwitcher. 

So why wont it game work ?

 

Oh Btw. when I used " all in one patch 1.06 installer" for BFME 1. I could not play the game. I had to get all the Pactchs one by one to play it

 

But agian. Really dont know what to do with the BFME 2 

Hello LeeLee
Have you tried this:

https://forums.revor...on-read-this/  



#500 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,635 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 30 September 2018 - 01:33 PM

That is a code error. Something went wrong in the installation. RotWK needs BfME 2 1.06 but you have BfME 2 1.09 enabled.


Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado





4 user(s) are reading this topic

0 members, 4 guests, 0 anonymous users